import { http } from '@/utils/http/axios';

export function ExpeditionInfo(params) {
  return http.request({
    url: '/dash/expeditionInfo',
    method: 'get',
    params,
  });
}

export function IdiomInfo(params) {
  return http.request({
    url: '/dash/idiomInfo',
    method: 'get',
    params,
  });
}

export function BossInfo(params) {
  return http.request({
    url: '/dash/bossInfo',
    method: 'get',
    params,
  });
}

export function ExpeditionFloor(params) {
  return http.request({
    url: '/dash/expeditionFloor',
    method: 'get',
    params,
  });
}

export function BasicRetention(params) {
  return http.request({
    url: '/dash/basicRetention',
    method: 'get',
    params,
  });
}

export function TreasureInfo(params) {
  return http.request({
    url: '/treasure/list',
    method: 'get',
    params,
  });
}

export function GrandmasterInfo(params) {
    return http.request({
        url: '/grandmaster/list',
        method: 'get',
        params,
    });
}
